Criar formulário
Cria um formulário independente de coleta de dados para o terminal.
/commands/form/createAuthorization
bearerAuth gatewayKey Token JWT no formato: Bearer {token}
In: header
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/commands/form/create" \ -H "Content-Type: application/json" \ -d '{ "order_type": "NRM", "form_name": "cadastro-cliente", "extras": { "CNPJ": "12612554000131" }, "form": [ { "field": "Email", "type": "EMAIL", "needed": true }, { "field": "Observação", "type": "TEXTO" } ] }'{
"form_identifier": "01970d18-aac3-7ff4-ba76-78e785409d09",
"form_status": "PDT",
"order_type": "NRM",
"form_url": "https://storage.blob.com/smart-tef/cadastro-cliente",
"form_name": "cadastro-cliente",
"fill_out_type": "REQUEST_MANDATORY_FORM"
}{
"status": 400,
"data": {
"message": "Formulário obrigatório deve conter ao menos um campo obrigatório",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/form/create"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/form/create"
}
}{
"status": 404,
"data": {
"message": [
"Terminal não encontrado",
"User not found",
"User is blocked"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/form/create"
}
}{
"status": 500,
"data": {
"message": "Failed to create form order",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/commands/form/create"
}
}